Bug 1469992 - Global keyboard shortcut for Guake not working when nautilus has focus
Global keyboard shortcut for Guake not working when nautilus has focus
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 04:47 EDT by Michal Konecny
Modified: 2018-05-29 08:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Konecny 2017-07-12 04:47:16 EDT
Description of problem:
When I have focus on Nautilus than the global keyboard shortcut for GUAKE (default: F12) isn't working. When I change the focus to other application, the shortcut is working again.

Version-Release number of selected component (if applicable):
GNOME nautilus 3.24.1
Guake Terminal 0.8.8

How reproducible:
This can be reproduced any time the Nautilus has focus and the Guake is running.

Steps to Reproduce:
1. Start Guake
2. Start Nautilus
3. Change focus to Nautilus
4. Press the shortcut for Guake

Actual results:
Nothing happened

Expected results:
Guake window is shown

Additional info:
Comment 1 robert 2018-01-28 19:44:05 EST
I believe this may be the same issue I came across when trying Wayland. I think it is somehow related to gtk2 vs gtk3 apps. When I have two monitors and I move my mouse onto the second monitor (over the desktop) guake still opens on the first monitor. If I hover over atom on the second monitor, guake will open on the second monitor. If this is both our problem, I believe Guake 3 might fix our issue since it was rewritten in GTK3. Bug 1417609 may be related.
Comment 2 Fedora End Of Life 2018-05-03 04:41:52 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:57:06 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.